Servers - List

Abonelikteki tüm sunucuların listesini alır.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/servers?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/servers?api-version=2025-01-01&$expand={$expand}

URI Parametreleri

Name İçinde Gerekli Tür Description
subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

$expand
query

string

Yanıta eklenecek alt kaynaklar.

Yanıtlar

Name Tür Description
200 OK

ServerListResult

Azure işlemi başarıyla tamamlandı.

Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Flow.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

List servers
List servers with $expand=administrators/activedirectory

List servers

Örnek isteği

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers?api-version=2025-01-01

Örnek yanıt

{
  "value": [
    {
      "name": "sqlcrudtest-4645",
      "type": "Microsoft.Sql/servers",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645",
      "kind": "v12.0",
      "location": "japaneast",
      "properties": {
        "administratorLogin": "dummylogin",
        "externalGovernanceStatus": "Enabled",
        "fullyQualifiedDomainName": "sqlcrudtest-4645.database.windows.net",
        "isIPv6Enabled": "Enabled",
        "privateEndpointConnections": [
          {
            "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/privateEndpointConnections/private-endpoint-name-00000000-1111-2222-3333-444444444444",
            "properties": {
              "privateEndpoint": {
                "id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/privateEndpoints/private-endpoint-name"
              },
              "privateLinkServiceConnectionState": {
                "description": "Auto-approved",
                "actionsRequired": "None",
                "status": "Approved"
              },
              "provisioningState": "Ready"
            }
          }
        ],
        "publicNetworkAccess": "Enabled",
        "restrictOutboundNetworkAccess": "Enabled",
        "state": "Ready",
        "version": "12.0",
        "workspaceFeature": "Connected"
      }
    },
    {
      "name": "sqlcrudtest-6661",
      "type": "Microsoft.Sql/servers",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-6661",
      "kind": "v12.0",
      "location": "japaneast",
      "properties": {
        "administratorLogin": "dummylogin",
        "externalGovernanceStatus": "Enabled",
        "fullyQualifiedDomainName": "sqlcrudtest-6661.database.windows.net",
        "isIPv6Enabled": "Enabled",
        "privateEndpointConnections": [
          {
            "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/privateEndpointConnections/private-endpoint-name-00000000-1111-2222-3333-444444444444",
            "properties": {
              "privateEndpoint": {
                "id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/privateEndpoints/private-endpoint-name"
              },
              "privateLinkServiceConnectionState": {
                "description": "Auto-approved",
                "actionsRequired": "None",
                "status": "Approved"
              },
              "provisioningState": "Ready"
            }
          }
        ],
        "publicNetworkAccess": "Enabled",
        "restrictOutboundNetworkAccess": "Enabled",
        "state": "Ready",
        "version": "12.0",
        "workspaceFeature": "Connected"
      }
    }
  ]
}

List servers with $expand=administrators/activedirectory

Örnek isteği

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers?api-version=2025-01-01

Örnek yanıt

{
  "value": [
    {
      "name": "sqlcrudtest-4645",
      "type": "Microsoft.Sql/servers",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645",
      "kind": "v12.0",
      "location": "japaneast",
      "properties": {
        "administratorLogin": "dummylogin",
        "administrators": {
          "azureADOnlyAuthentication": true,
          "login": "bob@contoso.com",
          "principalType": "User",
          "sid": "00000011-1111-2222-2222-123456789111",
          "tenantId": "00000011-1111-2222-2222-123456789111"
        },
        "externalGovernanceStatus": "Enabled",
        "fullyQualifiedDomainName": "sqlcrudtest-4645.database.windows.net",
        "isIPv6Enabled": "Enabled",
        "privateEndpointConnections": [
          {
            "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/privateEndpointConnections/private-endpoint-name-00000000-1111-2222-3333-444444444444",
            "properties": {
              "privateEndpoint": {
                "id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/privateEndpoints/private-endpoint-name"
              },
              "privateLinkServiceConnectionState": {
                "description": "Auto-approved",
                "actionsRequired": "None",
                "status": "Approved"
              },
              "provisioningState": "Ready"
            }
          }
        ],
        "publicNetworkAccess": "Enabled",
        "restrictOutboundNetworkAccess": "Enabled",
        "retentionDays": 7,
        "state": "Ready",
        "version": "12.0",
        "workspaceFeature": "Connected"
      }
    },
    {
      "name": "sqlcrudtest-6661",
      "type": "Microsoft.Sql/servers",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-6661",
      "kind": "v12.0",
      "location": "japaneast",
      "properties": {
        "administratorLogin": "dummylogin",
        "administrators": {
          "azureADOnlyAuthentication": true,
          "login": "bob@contoso.com",
          "principalType": "User",
          "sid": "00000011-1111-2222-2222-123456789111",
          "tenantId": "00000011-1111-2222-2222-123456789111"
        },
        "externalGovernanceStatus": "Enabled",
        "fullyQualifiedDomainName": "sqlcrudtest-6661.database.windows.net",
        "isIPv6Enabled": "Enabled",
        "privateEndpointConnections": [
          {
            "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/privateEndpointConnections/private-endpoint-name-00000000-1111-2222-3333-444444444444",
            "properties": {
              "privateEndpoint": {
                "id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/privateEndpoints/private-endpoint-name"
              },
              "privateLinkServiceConnectionState": {
                "description": "Auto-approved",
                "actionsRequired": "None",
                "status": "Approved"
              },
              "provisioningState": "Ready"
            }
          }
        ],
        "publicNetworkAccess": "Enabled",
        "restrictOutboundNetworkAccess": "Enabled",
        "retentionDays": 7,
        "state": "Ready",
        "version": "12.0",
        "workspaceFeature": "Connected"
      }
    }
  ]
}

Tanımlar

Name Description
AdministratorType

Sunucu yöneticisinin türü.

createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

ExternalGovernanceStatus

Dış idarenin durumu.

IdentityType

Kimlik türü. Kaynak için otomatik olarak bir Azure Active Directory ana özelliği oluşturmak ve atamak için bunu 'SystemAssigned' olarak ayarlayın.

MinimalTlsVersion

En düşük TLS sürümü. İzin verilen değerler: 'Yok', 1.0', '1.1', '1.2', '1.3'

PrincipalType

Sunucu yöneticisinin Asıl Türü.

PrivateEndpointConnectionProperties

Özel uç nokta bağlantısının özellikleri.

PrivateEndpointProperty
PrivateEndpointProvisioningState

Özel uç nokta bağlantısının durumu.

PrivateLinkServiceConnectionStateActionsRequire

Özel bağlantı hizmeti bağlantısı için gereken eylemler.

PrivateLinkServiceConnectionStateProperty
PrivateLinkServiceConnectionStateStatus

Özel bağlantı hizmeti bağlantı durumu.

ResourceIdentity

Azure Active Directory identity configuration for a resource.

Server

An Azure SQL Veritabanı server.

ServerCreateMode

Sunucu için mod oluştur, bunun için yalnızca geçerli değerler Normal ve Geri Yükle'dir.

ServerExternalAdministrator

Active Directory yöneticisinin özellikleri.

ServerListResult

Sunucu listesi işleminin yanıtı.

ServerNetworkAccessFlag

Bu sunucu için giden ağ erişiminin kısıtlanıp kısıtlanmaması. Değer isteğe bağlıdır, ancak geçirilirse 'Etkin' veya 'Devre Dışı' olmalıdır

ServerPrivateEndpointConnection

Sunucu altında özel uç nokta bağlantısı

ServerPublicNetworkAccessFlag

Bu sunucu için genel uç nokta erişimine izin verilip verilmeyeceği. Değer isteğe bağlıdır, ancak geçirilirse 'Etkin' veya 'Devre Dışı' veya 'SecuredByPerimeter' olmalıdır

ServerWorkspaceFeature

Var olan sunucunun oluşturulmuş bir çalışma alanı olup olmadığı ve çalışma alanından bağlantıya izin verip vermediği

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

UserIdentity

Azure Active Directory identity configuration for a resource.

AdministratorType

Sunucu yöneticisinin türü.

Değer Description
ActiveDirectory

ActiveDirectory (ActiveDirectory)

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

ExternalGovernanceStatus

Dış idarenin durumu.

Değer Description
Enabled

Enabled

Disabled

Disabled

IdentityType

Kimlik türü. Kaynak için otomatik olarak bir Azure Active Directory ana özelliği oluşturmak ve atamak için bunu 'SystemAssigned' olarak ayarlayın.

Değer Description
None

Hiçbiri

SystemAssigned

Sistem Ataması

UserAssigned

UserAssigned

SystemAssigned,UserAssigned

SystemAssigned,UserAssigned

MinimalTlsVersion

En düşük TLS sürümü. İzin verilen değerler: 'Yok', 1.0', '1.1', '1.2', '1.3'

Değer Description
None

Hiçbiri

1.0

1.0

1.1

1.1

1.2

1.2

1.3

1.3

PrincipalType

Sunucu yöneticisinin Asıl Türü.

Değer Description
User

User

Group

Grup

Application

Başvuru

PrivateEndpointConnectionProperties

Özel uç nokta bağlantısının özellikleri.

Name Tür Description
groupIds

string[]

Grup kimlikleri.

privateEndpoint

PrivateEndpointProperty

Bağlantının ait olduğu özel uç nokta.

privateLinkServiceConnectionState

PrivateLinkServiceConnectionStateProperty

Özel uç nokta bağlantısının bağlantı durumu.

provisioningState

PrivateEndpointProvisioningState

Özel uç nokta bağlantısının durumu.

PrivateEndpointProperty

Name Tür Description
id

string

Özel uç noktanın kaynak kimliği.

PrivateEndpointProvisioningState

Özel uç nokta bağlantısının durumu.

Değer Description
Approving

Onaylama

Ready

Ready

Dropping

Bırak -arak

Failed

Başarısız oldu

Rejecting

Reddetmek

PrivateLinkServiceConnectionStateActionsRequire

Özel bağlantı hizmeti bağlantısı için gereken eylemler.

Değer Description
None

Hiçbiri

PrivateLinkServiceConnectionStateProperty

Name Tür Description
actionsRequired

PrivateLinkServiceConnectionStateActionsRequire

Özel bağlantı hizmeti bağlantısı için gereken eylemler.

description

string

Özel bağlantı hizmeti bağlantı açıklaması.

status

PrivateLinkServiceConnectionStateStatus

Özel bağlantı hizmeti bağlantı durumu.

PrivateLinkServiceConnectionStateStatus

Özel bağlantı hizmeti bağlantı durumu.

Değer Description
Approved

Onaylandı

Pending

Beklemede

Rejected

Reddedildi

Disconnected

Disconnected

ResourceIdentity

Azure Active Directory identity configuration for a resource.

Name Tür Description
principalId

string (uuid)

Azure Active Directory principal id.

tenantId

string (uuid)

Azure Active Directory tenant id.

type

IdentityType

Kimlik türü. Kaynak için otomatik olarak bir Azure Active Directory ana özelliği oluşturmak ve atamak için bunu 'SystemAssigned' olarak ayarlayın.

userAssignedIdentities

<string,  UserIdentity>

Kullanılacak kullanıcı tarafından atanan kimliklerin kaynak kimlikleri

Server

An Azure SQL Veritabanı server.

Name Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ResourceIdentity

Sunucunun Azure Active Directory kimliği.

kind

string

Sql server türü. Bu, Azure portal deneyimi için kullanılan meta veridir.

location

string

Kaynağın bulunduğu coğrafi konum

name

string

Kaynağın adı

properties.administratorLogin

string

Sunucu için yönetici kullanıcı adı. Oluşturulduktan sonra değiştirilemez.

properties.administratorLoginPassword

string (password)

Yönetici oturum açma parolası (sunucu oluşturma için gereklidir).

properties.administrators

ServerExternalAdministrator

Azure Active Directory yöneticisi, azureADOnlyAuthentication özelliği hariç, sunucu oluşturma sırasında ve sunucu güncellemeleri için kullanılabilir. azureADOnlyAuthentication özelliğini güncelleştirmek için tek tek API'nin kullanılması gerekir.

properties.createMode

ServerCreateMode

Sunucu için mod oluştur, bunun için yalnızca geçerli değerler Normal ve Geri Yükle'dir.

properties.externalGovernanceStatus

ExternalGovernanceStatus

Dış idarenin durumu.

properties.federatedClientId

string (uuid)

Kiracılar arası CMK senaryosu için kullanılan İstemci kimliği

properties.fullyQualifiedDomainName

string

Sunucunun tam etki alanı adı.

properties.isIPv6Enabled

ServerNetworkAccessFlag

Bu sunucu için IPv6 desteğini etkinleştirip etkinleştirmeme. Değer isteğe bağlıdır, ancak geçirilirse 'Etkin' veya 'Devre Dışı' olmalıdır

properties.keyId

string

Şifreleme için kullanılacak anahtarın CMK URI'si.

properties.minimalTlsVersion

MinimalTlsVersion

En düşük TLS sürümü. İzin verilen değerler: 'Yok', 1.0', '1.1', '1.2', '1.3'

properties.primaryUserAssignedIdentityId

string

Varsayılan olarak kullanılacak kullanıcı tarafından atanan kimliğin kaynak kimliği.

properties.privateEndpointConnections

ServerPrivateEndpointConnection[]

Bir sunucudaki özel uç nokta bağlantılarının listesi

properties.publicNetworkAccess

ServerPublicNetworkAccessFlag

Bu sunucu için genel uç nokta erişimine izin verilip verilmeyeceği. Değer isteğe bağlıdır, ancak geçirilirse 'Etkin' veya 'Devre Dışı' veya 'SecuredByPerimeter' olmalıdır

properties.restrictOutboundNetworkAccess

ServerNetworkAccessFlag

Bu sunucu için giden ağ erişiminin kısıtlanıp kısıtlanmaması. Değer isteğe bağlıdır, ancak geçirilirse 'Etkin' veya 'Devre Dışı' olmalıdır

properties.retentionDays

integer (int32)

Bu sunucunun geçici olarak silinmiş olarak kalacağı gün sayısı.

properties.state

string

Sunucunun durumu.

properties.version

string

Sunucunun sürümü.

properties.workspaceFeature

ServerWorkspaceFeature

Var olan sunucunun oluşturulmuş bir çalışma alanı olup olmadığı ve çalışma alanından bağlantıya izin verip vermediği

systemData

systemData

Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri.

tags

object

Kaynak etiketleri.

type

string

Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları"

ServerCreateMode

Sunucu için mod oluştur, bunun için yalnızca geçerli değerler Normal ve Geri Yükle'dir.

Değer Description
Normal

Sıradan

Restore

Restore

ServerExternalAdministrator

Active Directory yöneticisinin özellikleri.

Name Tür Description
administratorType

AdministratorType

Sunucu yöneticisinin türü.

azureADOnlyAuthentication

boolean

Azure Active Directory Yalnızca Authentication etkin.

login

string

Sunucu yöneticisinin oturum açma adı.

principalType

PrincipalType

Sunucu yöneticisinin Asıl Türü.

sid

string (uuid)

Sunucu yöneticisinin SID (nesne kimliği).

tenantId

string (uuid)

Yöneticinin Kiracı Kimliği.

ServerListResult

Sunucu listesi işleminin yanıtı.

Name Tür Description
nextLink

string (uri)

Öğelerin bir sonraki sayfasına bağlantı

value

Server[]

Bu sayfadaki Sunucu öğeleri

ServerNetworkAccessFlag

Bu sunucu için giden ağ erişiminin kısıtlanıp kısıtlanmaması. Değer isteğe bağlıdır, ancak geçirilirse 'Etkin' veya 'Devre Dışı' olmalıdır

Değer Description
Enabled

Enabled

Disabled

Disabled

ServerPrivateEndpointConnection

Sunucu altında özel uç nokta bağlantısı

Name Tür Description
id

string

Kaynak Kimliği.

properties

PrivateEndpointConnectionProperties

Özel uç nokta bağlantı özellikleri

ServerPublicNetworkAccessFlag

Bu sunucu için genel uç nokta erişimine izin verilip verilmeyeceği. Değer isteğe bağlıdır, ancak geçirilirse 'Etkin' veya 'Devre Dışı' veya 'SecuredByPerimeter' olmalıdır

Değer Description
Enabled

Enabled

Disabled

Disabled

SecuredByPerimeter

SecuredByPerimeter

ServerWorkspaceFeature

Var olan sunucunun oluşturulmuş bir çalışma alanı olup olmadığı ve çalışma alanından bağlantıya izin verip vermediği

Değer Description
Connected

Bağlandı

Disconnected

Disconnected

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.

UserIdentity

Azure Active Directory identity configuration for a resource.

Name Tür Description
clientId

string (uuid)

Azure Active Directory istemci kimliği.

principalId

string (uuid)

Azure Active Directory principal id.